
<?php
include "../../inc/inc.koneksi.php";
session_start();

$kode	    =$_POST[kode];
$tanggal    =$_POST[tanggal];
$kodedo     =$_POST[kodedo];
$jenis		=$_POST[jenis];
$jmlliter	=$_POST[jmlliter];
$hgbeli 	=$_POST[hgbeli];
$jumlah 	=$_POST[jumlah];
$tanki 	    =$_POST[tanki];
$user		=$_SESSION[namauser];

$sql	= mysql_query("SELECT * FROM interface");
$r 	= mysql_fetch_assoc($sql);

$persed		= $r[persed];
$dobbm		= $r[do_bbm];
$prem   	= $r[premium];
$solar  	= $r[solar];
$ptmx   	= $r[pertamax];
$ptmp   	= $r[ptm_plus];
$ptlt   	= $r[pertalite];
$dex    	= $r[ptmn_dex];
$dexlite	= $r[dexlite];
$solek  	= $r[solar_eko];
$nosubdo	= substr($dobbm,0,3);
$nosubps	= substr($persed,0,3);

if($jenis=='Premium')
	$kodest=$prem;
else if($jenis=='Bio Solar')
	$kodest=$solar;
else if($jenis=='Pertamax')
	$kodest=$ptmx;
else if($jenis=='Pertamax Turbo')
	$kodest=$ptmp;
else if($jenis=='Pertalite')
	$kodest=$ptlt;
else if($jenis=='Pertamina Dex')
	$kodest=$dex;
else if($jenis=='Dexlite')
	$kodest=$dexlite;
else
	$kodest=$solek;

$bpdo = $dobbm.substr($kodest,2,4);

mysql_query("INSERT INTO terima_bbm (kode_tb,tanggal,kode_do,jenis,jml_liter,hg_beli,jumlah,tanki,user) VALUES('$kode','$tanggal','$kodedo','$jenis','$jmlliter','$hgbeli','$jumlah','$tanki','$user')");

// update stok
if($tanki=='1'){
	mysql_query("UPDATE stock SET jml_gd1=jml_gd1+$jmlliter,hb_akhir='$hgbeli' WHERE kode_st='$kodest' ");
}else if($tanki=='2'){
	mysql_query("UPDATE stock SET jml_gd2=jml_gd2+$jmlliter,hb_akhir='$hgbeli' WHERE kode_st='$kodest' ");
}else{
	mysql_query("UPDATE stock SET jml_gd3=jml_gd3+$jmlliter,hb_akhir='$hgbeli' WHERE kode_st='$kodest' ");
}

// buat kartu stok
mysql_query("INSERT INTO rekap_mbr (kode_tr,jurnal,tanggal,no_bukti,no_urut,kode_st,keterangan,gudang,masuk,harga,user) VALUES('$kode','PNB','$tanggal','$kode','1','$kodest','Penerimaan BBM $kodedo','$tanki','$jmlliter','$hgbeli','$user')");

// update akun persediaan
mysql_query("UPDATE akun_bb SET mutasi_db=mutasi_db+$jumlah WHERE noakun='$persed'");

// buat buku besar persediaan
mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,no_urut,noakun,nosub,debet,keterangan,user) VALUES('$kode','PNB','$tanggal','$kode','1','$persed','$nosubps','$jumlah','Penerimaan $jenis $jmlliter liter','$user')");

// update akun uang muka pembelian
mysql_query("UPDATE akun_bb SET mutasi_kd=mutasi_kd+$jumlah WHERE noakun='$dobbm'");
mysql_query("UPDATE akun_bp SET mutasi_kd=mutasi_kd+$jumlah WHERE noakun='$bpdo'");

// buat buku besar uang muka pembelian
mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,no_urut,noakun,nosub,nobp,kredit,keterangan,user) VALUES('$kode','PNB','$tanggal','$kode','1','$dobbm','$nosubdo','$bpdo','$jumlah','Penerimaan $jenis $jmlliter liter','$user')");

mysql_query("UPDATE stock_do SET jml_liter=jml_liter-$jmlliter,jumlah=jumlah-$jumlah WHERE kode_do='$kodedo' ");
?>